<?
#Старт сессии
session_start();



#Подключаем базу
include '../engine/config.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
    if ( $_GET['func'] == 'search_user' ) {
      if ( empty( $_GET['names'] ) ) {
        $zapros = 'SELECT * FROM user';
     } else {
        $zapros = 'SELECT * FROM user WHERE ' . check_text( $_GET['namev'] ) . '=\'' . check_text( $_GET['names'] ) . '\'';
      }
	} else {
	  $zapros = 'SELECT * FROM user';
	  $pages = '?page=user&p=';
	}
	
	$admuserpages = mysql_query( "$zapros" );
	$kolvo = 15;
	$all = mysql_num_rows( $admuserpages );
	$allpage = ceil( $all / $kolvo );
	$this_page = ( isset( $_GET['p'] ) ) ? ( int ) $_GET['p'] : 1 ;
	if ( $this_page < 1 ) $this_page = 1;
	if ( $this_page > $allpage ) $this_page = $allpage;
	$start = $this_page * $kolvo - $kolvo;
	if ( $start == -$kolvo ) { $start = 1; }
	
	if ( empty( $_GET['names'] ) ) {
      $show_users = mysql_query( "$zapros LIMIT $start,$kolvo" );
	  $btn_navigation = '<div class="div_centralizator">' . navigation( 15, ( int ) $_GET['p'], $all, $pages ) . '</div>';
    } else {
      $show_users = mysql_query( "$zapros " );
	  $btn_navigation = "";
    }
	
  ?>
    <script type="text/javascript">
      

	  function del(e) {
		$.post('ajax_update.php?func=userdel', {
		  id: e
		}, function(data) {
		  if (data == 1) {
			location.reload()
		  }
		});
		return false;
	  }

	  function dedel(e) {
		$.post('ajax_update.php?func=userdedel', {
		  id: e
		}, function(data) {
		  if (data == 1) {
			location.reload()
		  }
		});
		return false;
	  }

	  function search_user() {
		var a;
		var b;
		b = $('#names').val();
		a = $('#namev').val();
		if( b == '' ) {
		  location.href = "?page=user";
		} else {
		  location.href = "?page=user&func=search_user&namev=" + a +"&names=" + b;	
		}
	  }

	  function reset_search() {
		location.href = "?page=user";
	  }
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Работа с пользователями</h2>

			<div class="panel panel-default">
				<div class="panel-heading">Список пользователей</div>
				<div class="div_centralizator">
				  <div class="search-user">
				    <table  border="0" style="">
					  <tr>
					    <td width="250"><input type="text" id="names" width="100px" class="form-control input-sm" /></td>
					    <td width="160" style="padding: 0 10px 0 10px;">
					      <select class=" " style="height: 30px; border-radius: 3px; border: 1px solid #DED6CA;" id="namev">
						    <optgroup label="Выберите валюту вашего проекта:">
							  <option value="id">ID</option>
						      <option value="username">Никнейм</option>
						      <option value="referer">Рефералы</option>
						      <option value="reg_ip">IP регистрации</option>
						      <option value="ip">IP последнего входа</option>
						    </optgroup>
						  </select>
						</td>
					    <td width="10">
						  <a href="#" class="btn btn-info btn-xs btn-fix-sm" style="" onclick="search_user();return false;">Поиск по базе</a>
						</td>
					    <td width="130">
						  <a href="#" class="btn btn-warning btn-xs btn-fix-sm" onclick="reset_search();return false;">Сброс фильтра</a>
						</td>
					  </tr>
				    </table>
				  </div>
				</div>
				
				<div class="panel-body">
				<? if( $all > 0 ) {
				  ?>
				    <table id="" class="display table table-striped table-bordered table-hover" cellspacing="0" width="100%">
					  <thead>
					    <tr>
						  <th width="100px;" class="text_centralizator">ID </th>
						  <th class="text_centralizator">Аватар</th>
						  <th>Никнейм</th>
						  <th class="text_centralizator">Статус</th>
						  <th class="text_centralizator">Рабочий счет</th>
						  <th class="text_centralizator">Рекламный счет</th>
						  <th class="text_centralizator">Дата входа</th>
						  <th class="text_centralizator">IP</th>
						  <th class="text_centralizator">Действие</th>
					    </tr>
					  </thead>
					  <tfoot>
					    <tr>
						  <th width="100px;" class="text_centralizator">ID </th>
						  <th class="text_centralizator">Аватар</th>
						  <th>Никнейм</th>
						  <th class="text_centralizator">Статус</th>
						  <th class="text_centralizator">Рабочий счет</th>
						  <th class="text_centralizator">Рекламный счет</th>
						  <th class="text_centralizator">Дата входа</th>
						  <th class="text_centralizator">IP</th>
						  <th class="text_centralizator">Действие</th>
					    </tr>
					  </tfoot>
					  <tbody>
					    <?
					    
					      while ( $show_users_row = mysql_fetch_array( $show_users ) ) { 
						
							if ( $show_users_row['sex'] == 0 ) {
							  $sex = 'заходил';
							} else {
							   $sex = 'заходила';
							}
							
							$wall_online = mysql_query( "SELECT id FROM online WHERE iduser = '" . $show_users_row['id'] . "' LIMIT 1" );
							if ( $show_users_row['logindate'] == 0 ) {
								$wal_logindate = '<div class="walldate_offline">еще не ' . $sex . '</div>';
							} else
							if ( mysql_num_rows( $wall_online ) ) {
								$wal_logindate = '<div class="walldate_online">онлайн</div>';
							} else
							if ( date( 'd.m.Y', $show_users_row['logindate'] ) == date( 'd.m.Y', time() ) ) {
								$wal_logindate = '<div class="walldate_offline">' . $sex . ' сегодня в ' . date( 'H:i', $show_users_row['logindate'] ) . '</div>';
							} else {
								$wal_logindate = '<div class="walldate_offline">' . $sex . ' ' . ( int ) date( 'd', $show_users_row['logindate'] ) . ' ' . $month[( int ) date( 'm', $show_users_row['logindate'] ) - 1] . ' ' . date( 'Y', $show_users_row['logindate'] ) . ' в ' . date( 'H:i', $show_users_row['logindate'] ) . '</div>';
							}
							
							if ( $show_users_row['blockuser'] == 1 ) {
							  $btn_blockuser = '<div style="left:250px;top:34px;color:#ffffff;background:#e2a958;padding:2px 6px;border-radius:3px">Заблокирован</div>';
							} else {
							  $btn_blockuser = '';
							}
							
							if ( $show_users_row['userdel'] == 1 ) {
							  $btn_userdel = '<div style="left:350px;top:34px;color:#ffffff;background:#e25858;padding:2px 6px;border-radius:3px">Удален</div>';
							  $btn_del = '<a href="#" class="btn btn-success btn-xs" onclick="dedel('.$show_users_row['id'].');return false;">Востановить</a>';
							} else {
							  $btn_userdel = '';
							  $btn_del = '<a href="#" class="btn btn-danger btn-xs" onclick="del('.$show_users_row['id'].');return false;">Удалить</a>';
							}
							
							?>	
							  <tr>
							    <td class="text_centralizator"><?=$show_users_row['id']?></td>
							    <td><div class="div_centralizator"><a href="/id<?=$show_users_row['id']?>" target="_blank"><img style="border-radius: 30px;" width="22" height="22" alt="" src="/temp/avatar/<?=$show_users_row['avatar']?>" /></a></div></td>
							    <td ><?=$show_users_row['username']?></td>
							    <td class="text_centralizator"><?=status_user( $show_users_row['reyting'], $show_users_row['account'] )?><?=$btn_blockuser?><?=$btn_userdel?></td>
							    <td class="text_centralizator"><?=moneyraund( $show_users_row['money'], 4 )?> <?=$config['valutaname']?></td>
							    <td class="text_centralizator"><?=moneyraund( $show_users_row['adv_money'], 4 )?> <?=$config['valutaname']?></td>
							    <td class="text_centralizator"><?=$wal_logindate?></td>
							    <td class="text_centralizator"><?=$show_users_row['ip']?></td>
							    <td class="text_centralizator">
								  <a href="?page=user_edit&id=<?=$show_users_row['id']?>" target="_blank" class="btn btn-default btn-xs" >Редактировать</a>
								  <?=$btn_del?>
							    </td>
							  </tr>
						    <? 
						  } 
					    ?>	
					  </tbody>
				    </table>
				  <? 
				  } else {
				    ?>
					  <div class="alert alert-dismissible alert-danger">
						<button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
						<strong>О нет!</strong> ...ничего не найдено! Попробуйте сменить критерии поиска.
					  </div>
					<?
				  }
				  ?>
				  <div class="well">
				    <?=$btn_navigation?>
					
					<!--h3>Внимание тест тест тест</h3>
					<p>Какое то сообщение и ссылка куда то, если не понадобится удалить нахрен <a href="https://datatables.net/examples/styling/bootstrap.html" target="_blank">View Full Details <i class="fa fa-arrow-right"></i></a> </p-->
				  </div>
 
				</div>
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>